
package com.tmerclub.cloud.product.service.impl;

import com.tmerclub.cloud.common.database.dto.PageDTO;
import com.tmerclub.cloud.common.database.util.PageUtil;
import com.tmerclub.cloud.common.database.vo.PageVO;
import com.tmerclub.cloud.product.mapper.SpuAttrValueLangMapper;
import com.tmerclub.cloud.product.model.SpuAttrValueLang;
import com.tmerclub.cloud.product.service.SpuAttrValueLangService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 属性值-国际化表
 *
 * @author YXF
 * @date 2021-04-15 16:47:33
 */
@Service
public class SpuAttrValueLangServiceImpl implements SpuAttrValueLangService {

    @Autowired
    private SpuAttrValueLangMapper spuAttrValueLangMapper;

    @Override
    public PageVO<SpuAttrValueLang> page(PageDTO pageDTO) {
        return PageUtil.doPage(pageDTO, () -> spuAttrValueLangMapper.list());
    }

    @Override
    public SpuAttrValueLang getBySpuAttrValueId(Long spuAttrValueId) {
        return spuAttrValueLangMapper.getBySpuAttrValueId(spuAttrValueId);
    }

    @Override
    public void save(SpuAttrValueLang spuAttrValueLang) {
        spuAttrValueLangMapper.save(spuAttrValueLang);
    }

    @Override
    public void update(SpuAttrValueLang spuAttrValueLang) {
        spuAttrValueLangMapper.update(spuAttrValueLang);
    }

    @Override
    public void deleteById(Long spuAttrValueId) {
        spuAttrValueLangMapper.deleteById(spuAttrValueId);
    }
}
